# -*- coding: utf-8 -*-

from django import template


register = template.Library()


@register.simple_tag
def with_page(get_query, page):
    dict_ = get_query.copy()
    dict_['page'] = page
    return dict_.urlencode()


@register.simple_tag
def with_order(get_query, new_order):
    dict_ = get_query.copy()
    current_order = dict_.get('order')
    if current_order != new_order:
        dict_['order'] = new_order
        dict_['reverse'] = 'False'
    else:
        dict_['reverse'] = str(not get_query.get('reverse') == 'True')
    return dict_.urlencode()
